petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscCheckPointer

Returns PETSC_TRUE if a pointer points to accessible data

### Synopsis

    PetscBool PetscCheckPointer(const void *ptr,PetscDataType dtype)

Not Collective Many br

### Input Parameters

| ptr | - the pointer Many br
| dtype | - the type of data the pointer is suppose to point to Many br

Many br

Level:developer
Location:src/sys/error/checkptr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages